LootJS.modifiers((event) => {  
    event
        .addLootTableModifier('balloonbox:chests/balloon_chest_red')
        .removeLoot(Ingredient.all)
        .addWeightedLoot([3, 5],[
            LootEntry.of('snowyspirit:ginger_flower').withChance(20),
            LootEntry.of('snowyspirit:candy_cane_block').limitCount([3,10]).withChance(10),
            LootEntry.of('create_confectionery:candy_cane_block').limitCount([3,10]).withChance(10),   
            LootEntry.of('#snowyspirit:glow_lights').withChance(10),
            LootEntry.of('#supplementaries:presents').withChance(5),
            LootEntry.of('snowyspirit:gingerbread').limitCount([3,10]).withChance(10),
            LootEntry.of('snowyspirit:gingerbread_frosted').limitCount([3,10]).withChance(10),
            LootEntry.of('minecraft:snow_block').limitCount([3.10]).withChance(5),
            LootEntry.of('ecologics:snow_bricks').limitCount([3,10]).withChance(10)      
        ]);

    event
        .addLootTableModifier('balloonbox:chests/balloon_chest_red')
        .randomChance(.50)
        .addWeightedLoot([3, 5], [
            LootEntry.of('skinnedlanterns:snowman_lantern_block').withChance(10),
            LootEntry.of('skinnedlanterns:snowman_soul_lantern_block').withChance(10),
            LootEntry.of('skinnedlanterns:ornament_black_lantern_block').withChance(5),
            LootEntry.of('skinnedlanterns:ornament_blue_lantern_block').withChance(5),
            LootEntry.of('skinnedlanterns:ornament_brown_lantern_block').withChance(5),
            LootEntry.of('skinnedlanterns:ornament_cyan_lantern_block').withChance(5),
            LootEntry.of('skinnedlanterns:ornament_gray_lantern_block').withChance(5),
            LootEntry.of('skinnedlanterns:ornament_green_lantern_block').withChance(5),
            LootEntry.of('skinnedlanterns:ornament_light_blue_lantern_block').withChance(5),
            LootEntry.of('skinnedlanterns:ornament_light_gray_lantern_block').withChance(5),
            LootEntry.of('skinnedlanterns:ornament_lime_lantern_block').withChance(5),
            LootEntry.of('skinnedlanterns:ornament_magenta_lantern_block').withChance(5),
            LootEntry.of('skinnedlanterns:ornament_orange_lantern_block').withChance(5),
            LootEntry.of('skinnedlanterns:ornament_pink_lantern_block').withChance(5),
            LootEntry.of('skinnedlanterns:ornament_purple_lantern_block').withChance(5),
            LootEntry.of('skinnedlanterns:ornament_red_lantern_block').withChance(5),
            LootEntry.of('skinnedlanterns:ornament_white_lantern_block').withChance(5),
            LootEntry.of('skinnedlanterns:ornament_yellow_lantern_block').withChance(5)
        ]);
      
    event
        .addLootTableModifier('balloonbox:chests/balloon_chest_red')
        .randomChance(.25)
        .addWeightedLoot([4, 7], [
            LootEntry.of('create_confectionery:black_chocolate_glazed_berries').limitCount([2,4]).withChance(5),
            LootEntry.of('create_confectionery:ruby_chocolate_glazed_berries').limitCount([2,4]).withChance(5),
            LootEntry.of('create_confectionery:white_chocolate_glazed_berries').limitCount([2,4]).withChance(5),
            LootEntry.of('create:chocolate_glazed_berries').limitCount([2,4]).withChance(5),
            LootEntry.of('snowyspirit:wreath').withChance(1),
            LootEntry.of('#snowyspirit:sleds').withChance(1),
            LootEntry.of('miners_delight:powder_snow_cup').withChance(5),
            LootEntry.of('minecraft:snowball').limitCount([8, 16]).withChance(15),
            LootEntry.of('powah:charged_snowball').withChance(5),
            LootEntry.of('snowyspirit:snow_globe').withChance(1),
            LootEntry.of('moa_decor_toys:golemdenieve').withChance(10),
            LootEntry.of('moa_decor_toys:zorroblanco').withChance(10),
            LootEntry.of('moa_decor_toys:aldeanoinvierno').withChance(10)
        ]);


    event
        .addLootTableModifier('balloonbox:chests/balloon_chest_green')
        .removeLoot(Ingredient.all)
        .addWeightedLoot([2, 6], [
            LootEntry.of('ad_astra:iron_factory_block').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:encased_iron_block').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:iron_plateblock').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:iron_panel').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:iron_plating').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:glowing_iron_pillar').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:marked_iron_pillar').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:steel_factory_block').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:encased_steel_block').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:steel_plateblock').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:steel_panel').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:steel_plating').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:glowing_steel_pillar').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:earth_globe').withChance(1)
        ]);

    event
        .addLootTableModifier('balloonbox:chests/balloon_chest_yellow')
        .removeLoot(Ingredient.all)
        .addWeightedLoot([2, 6], [
            LootEntry.of('ad_astra:desh_factory_block').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:encased_desh_block').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:desh_plateblock').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:desh_panel').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:desh_plating').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:glowing_desh_pillar').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:moon_globe').withChance(1),
            LootEntry.of('ad_astra:glacio_globe').withChance(1),
            LootEntry.of('ad_astra:moon_stone').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:glacio_stone').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:permafrost').limitCount([4,8]).withChance(5)
        ]);

    event
        .addLootTableModifier('balloonbox:chests/balloon_chest_pink')
        .removeLoot(Ingredient.all)
        .addWeightedLoot([2, 6], [
            LootEntry.of('ad_astra:calorite_factory_block').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:encased_calorite_block').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:calorite_plateblock').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:calorite_panel').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:calorite_plating').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:glowing_calorite_pillar').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:ostrum_factory_block').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:encased_ostrum_block').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:ostrum_plateblock').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:ostrum_panel').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:ostrum_plating').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:glowing_ostrum_pillar').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:venus_globe').withChance(1),
            LootEntry.of('ad_astra:mars_globe').withChance(1),
            LootEntry.of('ad_astra:mercury_globe').withChance(1),
            LootEntry.of('ad_astra:venus_sandstone').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:venus_stone').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:mars_stone').limitCount([4,8]).withChance(5),
            LootEntry.of('ad_astra:mercury_stone').limitCount([4,8]).withChance(5)       
        ]);

    event
        .addLootTableModifier('balloonbox:chests/balloon_chest_blue')
        .removeLoot(Ingredient.all)
        .addWeightedLoot([2, 6], [
            LootEntry.of('minecraft:book').enchantWithLevels([34,91]).withChance(50),
            LootEntry.of('create:experience_nugget').limitCount([4,8]).withChance(15),
            LootEntry.of('create_sa:heap_of_experience').limitCount([4,8]).withChance(10),
            LootEntry.of('create_dd:experience_ingot').limitCount([4,8]).withChance(10),
            LootEntry.of('create_dd:experience_mass').limitCount([4,8]).withChance(5)      
        ]);

    event
        .addLootTableModifier('balloonbox:chests/balloon_chest_rare')
        .removeLoot(Ingredient.all)
        .addWeightedLoot([2, 6], [
            LootEntry.of('minecraft:chorus_flower').limitCount([4,8]).withChance(5),
            LootEntry.of('minecraft:chorus_fruit').limitCount([4,8]).withChance(5),
            LootEntry.of('endersdelight:chorus_crate').limitCount([4,8]).withChance(5),
            LootEntry.of('minecraft:end_stone').limitCount([4,8]).withChance(5)
        ])

    event
        .addLootTableModifier('balloonbox:chests/balloon_chest_rare')
        .randomChance(.50)
        .addWeightedLoot([4, 6], [
            LootEntry.of('minecraft:ender_pearl').limitCount([2,4]).withChance(5),
            LootEntry.of('architects_palette:ender_pearl_block').limitCount([1,4]).withChance(5),
            LootEntry.of('thermal:enderium_ingot').limitCount([1,4]).withChance(5)
        ])

    event
        .addLootTableModifier('balloonbox:chests/balloon_chest_rare')
        .randomChance(.05)
        .addWeightedLoot([2, 6], [
            LootEntry.of('supplementaries:enderman_head').withChance(20),
            LootEntry.of('moa_decor_toys:enderman').withChance(10),
            LootEntry.of('moa_decor_toys:dragondelender').withChance(10),
            LootEntry.of('moa_decor_toys:endermite').withChance(10),
            LootEntry.of('minecraft:elytra').withChance(2),
            LootEntry.of('craftable_elytra_remastered:elytra_side').withChance(5)
        ]);
});